# Uses of Interface
org.eclipse.debug.core.sourcelookup.ISourceLookupParticipant

Packages that use ISourceLookupParticipant
Package
Description
org.eclipse.debug.core.sourcelookup
Provides support for source lookup.

## Uses of ISourceLookupParticipant in org.eclipse.debug.core.sourcelookup

Classes in org.eclipse.debug.core.sourcelookup that implement ISourceLookupParticipant
Modifier and Type
Class
Description
`class`
`AbstractSourceLookupParticipant`
Common super class for implementations of source lookup participants.
Fields in org.eclipse.debug.core.sourcelookup with type parameters of type ISourceLookupParticipant
Modifier and Type
Field
Description
`protected ArrayList<ISourceLookupParticipant>`
AbstractSourceLookupDirector.`fParticipants`
Methods in org.eclipse.debug.core.sourcelookup that return ISourceLookupParticipant
Modifier and Type
Method
Description
`ISourceLookupParticipant`
AbstractSourceLookupDirector.`getCurrentParticipant()`
Returns the participant currently looking up source or `null` if none.
`ISourceLookupParticipant[]`
AbstractSourceLookupDirector.`getParticipants()`
`ISourceLookupParticipant[]`
ISourceLookupDirector.`getParticipants()`
Returns the source lookup participants currently registered with this director, possibly an empty collection.
Methods in org.eclipse.debug.core.sourcelookup with parameters of type ISourceLookupParticipant
Modifier and Type
Method
Description
`void`
AbstractSourceLookupDirector.`addParticipants(ISourceLookupParticipant[] participants)`
`void`
ISourceLookupDirector.`addParticipants(ISourceLookupParticipant[] participants)`
Adds the given source lookup participants to this director.
`void`
AbstractSourceLookupDirector.`removeParticipants(ISourceLookupParticipant[] participants)`
`void`
ISourceLookupDirector.`removeParticipants(ISourceLookupParticipant[] participants)`
Removes the given source lookup participants from this director.